/*
 * Coscine Web API
 *
 * Coscine (short for <b>CO</b>llaborative <b>SC</b>ientific <b>IN</b>tegration <b>E</b>nvironment) is the research data management platform for your research project.
 *
 * The version of the OpenAPI document: 2.0
 * Contact: servicedesk@itc.rwth-aachen.de
 * Generated by: https://github.com/openapitools/openapi-generator.git
 */


using Xunit;

using System;
using System.Linq;
using System.IO;
using System.Collections.Generic;
using Coscine.ApiClient.Core.Model;
using Coscine.ApiClient.Core.Client;
using System.Reflection;
using Newtonsoft.Json;

namespace Coscine.ApiClient.Core.Test.Model
{
    /// <summary>
    ///  Class for testing ProjectResourceMinimalDto
    /// </summary>
    /// <remarks>
    /// This file is automatically generated by OpenAPI Generator (https://openapi-generator.tech).
    /// Please update the test case below to test the model.
    /// </remarks>
    public class ProjectResourceMinimalDtoTests : IDisposable
    {
        // TODO uncomment below to declare an instance variable for ProjectResourceMinimalDto
        //private ProjectResourceMinimalDto instance;

        public ProjectResourceMinimalDtoTests()
        {
            // TODO uncomment below to create an instance of ProjectResourceMinimalDto
            //instance = new ProjectResourceMinimalDto();
        }

        public void Dispose()
        {
            // Cleanup when everything is done.
        }

        /// <summary>
        /// Test an instance of ProjectResourceMinimalDto
        /// </summary>
        [Fact]
        public void ProjectResourceMinimalDtoInstanceTest()
        {
            // TODO uncomment below to test "IsType" ProjectResourceMinimalDto
            //Assert.IsType<ProjectResourceMinimalDto>(instance);
        }

        /// <summary>
        /// Test the property 'ResourceId'
        /// </summary>
        [Fact]
        public void ResourceIdTest()
        {
            // TODO unit test for the property 'ResourceId'
        }

        /// <summary>
        /// Test the property 'ProjectId'
        /// </summary>
        [Fact]
        public void ProjectIdTest()
        {
            // TODO unit test for the property 'ProjectId'
        }
    }
}
